import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { BoolFilterObjectSchema as BoolFilterObjectSchema } from './BoolFilter.schema';
import { DateTimeFilterObjectSchema as DateTimeFilterObjectSchema } from './DateTimeFilter.schema'

const backupdestinationscalarwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => BackupDestinationScalarWhereInputObjectSchema), z.lazy(() => BackupDestinationScalarWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => BackupDestinationScalarWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => BackupDestinationScalarWhereInputObjectSchema), z.lazy(() => BackupDestinationScalarWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  path: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  isActive: z.union([z.lazy(() => BoolFilterObjectSchema), z.boolean()]).optional(),
  createdAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional()
}).strict();
export const BackupDestinationScalarWhereInputObjectSchema: z.ZodType<Prisma.BackupDestinationScalarWhereInput> = backupdestinationscalarwhereinputSchema as unknown as z.ZodType<Prisma.BackupDestinationScalarWhereInput>;
export const BackupDestinationScalarWhereInputObjectZodSchema = backupdestinationscalarwhereinputSchema;
